package jp.hasc.hasctool.core.runtime.filter.count;

import jp.hasc.hasctool.core.data.EnumCommand;
import jp.hasc.hasctool.core.runtime.filter.AbstractFilter;

/**
 * 歩数カウントの結果を編集するためのフィルタです。
 * @author hiro
 */
public class wnTester extends AbstractFilter{

	@Override
	public void processMessage(Object message) throws InterruptedException {
		if (message instanceof String) {
			String s =(String)message;
			String fPath = s.split(",")[0];
			String count = s.split(":")[1];
			outputMessage(fPath+","+count);
		}else if(message == EnumCommand.BEGIN){
			outputMessage("FilePath,WalkCount,Time(sec),wc/t");
		}else {
			outputMessage(message);
		}
	}
}
